Package org.astrogrid.samp.web

# Interface OriginAuthorizer

public interface OriginAuthorizer
Controls which origins are authorized to perform cross-origin access to resources.

Since:
  2 Feb 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`authorize(String origin)`
Indicates whether a client with a given origin is permitted to access resources.
`boolean`
`authorizeAll()`
Indicates whether clients from arbitrary origins (including none) are permitted to access resources.

## Method Details

### authorize

boolean authorize(String origin)
Indicates whether a client with a given origin is permitted to access resources.

Parameters:
  `origin` - client Origin
Returns:
  true iff access is permitted
See Also:
  - Web Origin concept

### authorizeAll

boolean authorizeAll()
Indicates whether clients from arbitrary origins (including none) are permitted to access resources.

Returns:
  true iff access is permitted